Package com.independentsoft.office.word.drawing

# Enum Class HorizontalRelativePositioning

java.lang.Object
java.lang.Enum<HorizontalRelativePositioning>
com.independentsoft.office.word.drawing.HorizontalRelativePositioning

All Implemented Interfaces:
  `Serializable`, `Comparable<HorizontalRelativePositioning>`, `Constable`

public enum HorizontalRelativePositioning extends Enum<HorizontalRelativePositioning>
The Enum HorizontalRelativePositioning.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CHARACTER`
  `COLUMN`
  `INSIDE_MARGIN`
  `LEFT_MARGIN`
  `NONE`
  `OUTSIDE_MARGIN`
  `PAGE_EDGE`
  `PAGE_MARGIN`
  `RIGHT_MARGIN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static HorizontalRelativePositioning`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static HorizontalRelativePositioning[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHARACTER

    public static final HorizontalRelativePositioning CHARACTER

  - ### COLUMN

    public static final HorizontalRelativePositioning COLUMN

  - ### INSIDE_MARGIN

    public static final HorizontalRelativePositioning INSIDE_MARGIN

  - ### LEFT_MARGIN

    public static final HorizontalRelativePositioning LEFT_MARGIN

  - ### PAGE_MARGIN

    public static final HorizontalRelativePositioning PAGE_MARGIN

  - ### OUTSIDE_MARGIN

    public static final HorizontalRelativePositioning OUTSIDE_MARGIN

  - ### PAGE_EDGE

    public static final HorizontalRelativePositioning PAGE_EDGE

  - ### RIGHT_MARGIN

    public static final HorizontalRelativePositioning RIGHT_MARGIN

  - ### NONE

    public static final HorizontalRelativePositioning NONE

- ## Method Details

  - ### values

    public static HorizontalRelativePositioning[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HorizontalRelativePositioning valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null